import { moustacheData } from './interfaces';
/**
 * Replaces all moustaches in the template and copies it into the project folder
 * @param projectDir the path to the project directory
 * @param templateDir the path to the template directory
 * @param moustaches the moustache data
 */
declare function copy(projectDir: string, templateDir: string, moustaches: moustacheData): Promise<void>;
/**
 * Copies the selected Appwrite services to the template
 * @param projectDir the selected template
 * @param services the selected Appwrite services
 * @param moustaches the moustache data
 */
declare function copyAppwrite(projectDir: string, services: string[], moustaches: moustacheData): Promise<void>;
export { copy, copyAppwrite };
